opy);
  }

  .four_y.has-value .control,
  .four_y.has-focus .control,
  .four_y.has-value ::slotted(.control),
  .four_y.has-focus ::slotted(.control) {
    padding: 21px var(--maui-input-inset) 5px;
    font-weight: var(--maui-font-weight-bold);
  }

  .four_y.has-value.has-error .control,
  .four_y.has-focus.has-error .control,
  .four_y.has-value.has-error ::slotted(.control),
  .four_y.has-focus.has-error ::slotted(.control) {
    color: var(--maui-color-text-copy);
  }

  .four_y.has-value.clearable .control,
  .four_y.has-focus.clearable .control,
  .four_y.has-value.has-icon .control,
  .four_y.has-focus.has-icon .control {
    padding-right: var(--maui-spacing-2);
  }

  .four_y:not(.has-error, .disabled) .clear,
  .four_y:not(.has-error, .disabled) .icon {
    --maui-icon-color-override: var(--maui-color-interaction-interaction);
  }

  .four_y.has-error:not(.disabled) .clear,
  .four_y.has-error:not(.disabled) .icon {
    --maui-icon-color-override: var(--maui-color-message-error);
  }

  .four_y .control[disabled],
  .four_y.disabled.has-value .control[disabled] {
    cursor: not-allowed;
    color: var(--maui-color-disabled-foreground);
  }

  .four_y .control[disabled]::placeholder {
    color: var(--maui-color-disabled-foreground);
  }

  .four_y.disabled .border-wrapper {
    background: var(--maui-color-disabled-background);
  }

  //Added otherwise I got a white background for images
  .four_y.disabled.has-value .border-wrapper {
    background: var(--maui-color-disabled-background);
  }

  .four_y.has-error .border-wrapper {
    --maui-effect-shadow-focus-color: var(--maui-color-message-error);
    --maui-focus-outline-box-shadow: var(--maui-effect-shadow-focus-offset-x)
      var(--maui-effect-shadow-focus-offset-y)
      var(--maui-effect-shadow-focus-radius)
      var(--maui-effect-shadow-focus-spread)
      var(--maui-effect-shadow-focus-color);
    background-color: var(--maui-color-message-bg-error);
  }

  /** other */

  .four_y .info-wrapper {
    margin-top: 6px;
    margin-left: var(--maui-input-inset);
  }

  .four_y .icon-wrapper {
    margin-right: 13px;
    --maui-focus-outline-offset: 2px;
  }

  .four_y .optional-label {
    ¶